Difference between revisions of "Installation/Linux/foam-extend-3.0/Fedora"

From OpenFOAMWiki
(Kicked off this page)
 
(Duplicated final line to both sections, to avoid confusion)
 
(2 intermediate revisions by one other user not shown)
Line 11: Line 11:
 
<bash>sudo yum groupinstall "Development Tools"
 
<bash>sudo yum groupinstall "Development Tools"
 
sudo yum install gcc-c++ binutils-devel bison flex m4 zlib-devel \
 
sudo yum install gcc-c++ binutils-devel bison flex m4 zlib-devel \
 +
qt-devel qtwebkit-devel mercurial graphviz
 +
</bash>
 +
 +
Then continue following the instructions on the previous page, subsection [[Installation/Linux/foam-extend-3.0#Installing from source code|Get the source code]].
 +
 +
 +
== Fedora 20 ==
 +
Run the following commands:
 +
<bash>sudo yum groupinstall "Development Tools"
 +
sudo yum install gcc-c++ binutils-devel cmake wget bison flex m4 zlib-devel \
 
qt-devel qtwebkit-devel mercurial graphviz
 
qt-devel qtwebkit-devel mercurial graphviz
 
</bash>
 
</bash>

Latest revision as of 20:21, 21 June 2014

1 Introduction

This page is dedicated to preparing a Fedora system for installing the foam-extend project OF Version 30ext.png.


2 Fedora versions

2.1 Fedora 19

Run the following commands:

sudo yum groupinstall "Development Tools"
sudo yum install gcc-c++ binutils-devel bison flex m4 zlib-devel \
qt-devel qtwebkit-devel mercurial graphviz

Then continue following the instructions on the previous page, subsection Get the source code.


2.2 Fedora 20

Run the following commands:

sudo yum groupinstall "Development Tools"
sudo yum install gcc-c++ binutils-devel cmake wget bison flex m4 zlib-devel \
qt-devel qtwebkit-devel mercurial graphviz

Then continue following the instructions on the previous page, subsection Get the source code.